Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# EdgesPercept Class Reference

The class represents a percepted edge on the field. More...

`#include <EdgesPercept.h>`

Inheritance diagram for EdgesPercept:

[legend]
Collaboration diagram for EdgesPercept:

[legend]
List of all members.

## Public Types
enum | { maxNumberOfEdges = 50 }
## Public Member Functions
| EdgesPercept ()
| Constructor.
void | reset (unsigned long frameNumber)
| The function empties the edge percept.
void | add (const Vector2< double > &point1OnField, const Vector2< double > &point2OnField, const Vector2< int > &point1InImage, const Vector2< int > &point2InImage)
| The function adds a new edge to the edge percept.
void | serialize (In *in, Out *out)
## Public Attributes
Edge | edges [maxNumberOfEdges]
| The edges.
int | numberOfEdges
| The number of edges.
unsigned long | frameNumber
| The frame number when perceived.

## Detailed Description

The class represents a percepted edge on the field.

Definition at line 18 of file EdgesPercept.h.

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  maxNumberOfEdges |
Definition at line 21 of file EdgesPercept.h.

## Constructor & Destructor Documentation

EdgesPercept::EdgesPercept | ( |  | ) | `[inline]`

| Constructor. Definition at line 57 of file EdgesPercept.h. References numberOfEdges.

## Member Function Documentation

void EdgesPercept::reset | ( | unsigned long | frameNumber | ) |

| The function empties the edge percept. Definition at line 11 of file EdgesPercept.cpp. References numberOfEdges. Referenced by SlamImageProcessor::execute(), and GT2005ImageProcessor::execute().

void EdgesPercept::add | ( | const Vector2< double > & | point1OnField,
|  | const Vector2< double > & | point2OnField,
|  | const Vector2< int > & | point1InImage,
|  | const Vector2< int > & | point2InImage
| ) |

  | The function adds a new edge to the edge percept. Parameters:
  point1OnField | The point of one end of the edge on the field.
  point2OnField | The point of the other end of the edge on the field.
  point1InImage | The point of one end of the edge in the image.
  point2InImage | The point of the other end of the edge in the image.
Definition at line 17 of file EdgesPercept.cpp. References EdgesPercept::Edge::angleInImage, EdgesPercept::Edge::angleOnField, edges, EdgesPercept::Edge::lengthInImage, EdgesPercept::Edge::lengthOnField, maxNumberOfEdges, normalize(), numberOfEdges, pi_2, EdgesPercept::Edge::point1InImage, EdgesPercept::Edge::point1OnField, EdgesPercept::Edge::point2InImage, and EdgesPercept::Edge::point2OnField. Referenced by SlamEdgeSpecialist::getEdgesPercept(), and GT2005EdgeSpecialist::getEdgesPercept().

Here is the call graph for this function:

void EdgesPercept::serialize | ( | In * | in,
|  | Out * | out
| ) | `[inline, virtual]`

| Implements Streamable. Definition at line 78 of file EdgesPercept.h. References edges, numberOfEdges, STREAM, STREAM_DYN_ARRAY, STREAM_REGISTER_BEGIN, and STREAM_REGISTER_FINISH.

## Member Data Documentation

Edge EdgesPercept::edges[maxNumberOfEdges]

| The edges. Definition at line 50 of file EdgesPercept.h. Referenced by add(), and serialize().

int EdgesPercept::numberOfEdges

| The number of edges. Definition at line 51 of file EdgesPercept.h. Referenced by add(), EdgesPercept(), reset(), and serialize().

unsigned long EdgesPercept::frameNumber

| The frame number when perceived. Definition at line 52 of file EdgesPercept.h.

The documentation for this class was generated from the following files:

- Representations/Perception/EdgesPercept.h
- Representations/Perception/EdgesPercept.cpp